Login or sign up Lost password?
Login or sign up
You should install the 8.5 version only if your reports are using an old data source that is not compatible with later versions of Crystal (such as Oracle versions below Oracle 7.3.4).